## class PSProcess : public Node

> Process structure diagram process node class.

## Inheritance:

### Public Methods

  | PSProcess (PSGraph *)
  Subject* | Clone ()
  int | GetClassType () const
  char | GetOperator ()
  bool | SetOperator (char x)
  bool | IsRoot ()
  void | SetRoot (bool set)
  bool | IsAction ()
  void | SetAction (bool set)
  void | SetTreeSequence (int i)
  int | GetTreeSequence ()
  void | SetActionSequence (int i)
  int | GetActionSequence ()
  Subject::NameErrType | SetName (const string *name)
  void | WriteMembers (OutputFile *f)
  bool | ReadMembers (InputFile *f, double format)

### Inherited from Node:

### Public Methods

bool IsEdge() const
bool InGraph() const
const string* GetIndex() const
virtual Subject::NameErrType SetIndex(const string *s)
void GetParentIndex(string *pindex)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

bool IsSubject() const
const string* GetName() const
bool SetReferences(AssocList *)
bool CheckReferences()
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
void Write(OutputFile *ofile)

## Documentation

> Process structure diagram process node class.

`PSProcess(PSGraph *)`

`Subject* Clone()`

`int GetClassType() const`

`char GetOperator()`

`bool SetOperator(char x)`

`bool IsRoot()`

`void SetRoot(bool set)`

`bool IsAction()`

`void SetAction(bool set)`

`void SetTreeSequence(int i)`

`int GetTreeSequence()`

`void SetActionSequence(int i)`

`int GetActionSequence()`

`Subject::NameErrType SetName(const string *name)`

`void WriteMembers(OutputFile *f)`

`bool ReadMembers(InputFile *f, double format)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de